// written in the D programming language

/++
This is a D binding for the enet network layer (http://enet.bespin.org/).

Copyright: Copyright (c) 2010 Stephan Dilly. All rights reserved.

License: MIT (see LICENSE file)

Author: Stephan Dilly (code at extrawurst dot org)

Note: It is written in D2 and tested to compile using 2.049 under win32. Linux should not be a problem though.
+/
module enetlib.callbacks;

struct ENetCallbacks
{
    void * function(size_t size) malloc;
    void function(void * memory) free;
    void function() no_memory;
}